Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 12709)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 13395)
@@ -12,7 +12,12 @@
 enum definitions{
 	/*Model fields {{{1*/
-	AutodiffForwardEnum,
 	AutodiffIsautodiffEnum, 
-	AutodiffReverseEnum,
+	AutodiffDependentsEnum,
+	AutodiffNumDependentsEnum,
+	AutodiffIndependentsEnum,
+	AutodiffNumIndependentsEnum,
+	AutodiffJacobianEnum,
+	AutodiffXpEnum,
+	AutodiffFosForwardOutputEnum,
 	BalancethicknessSpcthicknessEnum,
 	BalancethicknessStabilizationEnum,
@@ -50,4 +55,5 @@
 	FlowequationElementEquationEnum,
 	FlowequationIshutterEnum,
+	FlowequationIsl1l2Enum,
 	FlowequationIsmacayealpattynEnum,
 	FlowequationIsstokesEnum,
@@ -101,4 +107,6 @@
 	MaterialsRheologyLawEnum,
 	MaterialsRheologyNEnum,
+	MaterialsRheologyZEnum,
+	MaterialsRheologyZbarEnum,
 	MaterialsRhoIceEnum,
 	MaterialsRhoWaterEnum,
@@ -149,4 +157,10 @@
 	SettingsResultsAsPatchesEnum,
 	SettingsWaitonlockEnum,
+	SurfaceforcingsDelta18oEnum,
+	SurfaceforcingsDelta18oSurfaceEnum,
+	SurfaceforcingsIsdelta18oEnum,
+	SurfaceforcingsPrecipitationsPresentdayEnum,
+	SurfaceforcingsTemperaturesPresentdayEnum,
+	SurfaceforcingsTemperaturesLgmEnum,
 	DebugProfilingEnum,
 	ProfilingCurrentMemEnum,
@@ -230,9 +244,10 @@
 	/*Approximations {{{1*/
 	ApproximationEnum,
+	NoneApproximationEnum,
 	HutterApproximationEnum,
 	MacAyealApproximationEnum,
 	MacAyealPattynApproximationEnum,
 	MacAyealStokesApproximationEnum,
-	NoneApproximationEnum,
+	L1L2ApproximationEnum,
 	PattynApproximationEnum,
 	PattynStokesApproximationEnum,
@@ -249,4 +264,6 @@
 	/*}}}*/
 	/*Objects {{{1*/
+	GenericParamEnum,
+	AdolcParamEnum,
 	BoolInputEnum,
 	BoolParamEnum,
@@ -270,11 +287,14 @@
 	IntParamEnum,
 	IntVecParamEnum,
+	TransientParamEnum,
 	MacAyeal2dIceFrontEnum,
 	MacAyeal3dIceFrontEnum,
 	MaticeEnum,
+	MatdamageiceEnum,
 	MatparEnum,
 	NodeEnum,
 	NumericalfluxEnum,
 	ParamEnum,
+	L1L2IceFrontEnum,
 	PattynIceFrontEnum,
 	PengridEnum,
@@ -353,4 +373,6 @@
 	TemperatureOldEnum,
 	TemperaturePicardEnum,
+	TemperatureSurfaceEnum,
+	TemperatureBasalEnum,
 	ThicknessAbsMisfitEnum,
 	TypeEnum,
@@ -374,4 +396,6 @@
 	EnthalpyPicardEnum,
 	ThicknessAbsGradientEnum,
+	ThicknessAlongGradientEnum,
+	ThicknessAcrossGradientEnum,
 	StepResponsesEnum,
 	IntMatParamEnum,
@@ -394,5 +418,4 @@
 	StressTensoryzEnum,
 	StressTensorzzEnum,
-	IceVolumeEnum,
 	/*}}}*/
 	/*Element Interpolations{{{1*/
@@ -434,4 +457,6 @@
 	MaxVzEnum,
 	MaxAbsVzEnum,
+	IceVolumeEnum,
+	TotalSmbEnum,
 	/*}}}*/
 	/*Convergence{{{1*/
@@ -487,4 +512,5 @@
 	/*Options{{{1*/
 	OptionEnum,
+	GenericOptionEnum,
 	OptionCellEnum,
 	OptionCharEnum,
Index: issm/trunk/src/c/EnumDefinitions/Synchronize.sh
===================================================================
--- issm/trunk/src/c/EnumDefinitions/Synchronize.sh	(revision 12709)
+++ issm/trunk/src/c/EnumDefinitions/Synchronize.sh	(revision 13395)
@@ -98,5 +98,5 @@
 cat <<END >> $ISSM_DIR/src/c/modules/StringToEnumx/StringToEnumx.cpp
 	/*If we reach this point, the string provided has not been found*/
-	_error2_("Enum " << name << " not found");
+	_error_("Enum " << name << " not found");
 }
 END
@@ -107,4 +107,6 @@
 #Add header to pythonenum file{{{
 cat <<END > $ISSM_DIR/src/m/enum/EnumDefinitions.py
+from StringToEnum import StringToEnum
+
 """
 
@@ -166,5 +168,5 @@
 	"""
 
-	return StringToEnum('$NAME')
+	return StringToEnum('$NAME')[0]
 
 END
